Bug 1060947 - (CVE-2014-1487) CVE-2014-1487 Mozilla: Cross-origin information leak through web workers (MFSA 2014-09)
CVE-2014-1487 Mozilla: Cross-origin information leak through web workers (MFS...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140204,repor...
: Security
Depends On:
Blocks: 1058134
  Show dependency treegraph
 
Reported: 2014-02-03 20:59 EST by Huzaifa S. Sidhpurwala
Modified: 2015-02-04 07:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-04 23:53:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2014-02-03 20:59:26 EST
Security researcher Masato Kinugawa reported a cross-origin information leak through web workers' error messages. This violates same-origin policy and the leaked information could potentially be used to gather authentication tokens and other data from third-party websites.

In general this flaw cannot be exploited through email in the Thunderbird and Seamonkey products because scripting is disabled in mail, but is potentially a risk in browser or browser-like contexts.


External Reference:

http://www.mozilla.org/security/announce/2014/mfsa2014-09.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Masato Kinugawa as the original reporter.
Comment 1 errata-xmlrpc 2014-02-04 14:58:07 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0133 https://rhn.redhat.com/errata/RHSA-2014-0133.html
Comment 2 errata-xmlrpc 2014-02-04 15:17:52 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2014:0132 https://rhn.redhat.com/errata/RHSA-2014-0132.html

Note You need to log in before you can comment on or make changes to this bug.